Bug 499856 - Review Request: perl-WWW-Mechanize-TreeBuilder - WWW::Mechanize::TreeBuilder Perl module
Review Request: perl-WWW-Mechanize-TreeBuilder - WWW::Mechanize::TreeBuilder ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/WWW-Mecha...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 11:41 EDT by Iain Arnell
Modified: 2009-06-26 22:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.10000-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:59:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Parag AN(पराग) 2009-05-08 13:11:30 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1343426
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0514a4a70b929361758f8a9c16705b53  WWW-Mechanize-TreeBuilder-1.10000.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=29,  2 wallclock secs ( 0.03 usr  0.01 sys +  1.56 cusr  0.27 csys =  1.87 CPU)
+ Package perl-WWW-Mechanize-TreeBuilder-1.10000-1.fc12.noarch =>
 Provides: perl(WWW::Mechanize::TreeBuilder) = 1.10000
 Requires: perl(Moose::Util::TypeConstraints) perl(MooseX::Role::Parameterized)

Suggestions:
1) Are you sure you need
BuildRequires:  perl >= 1:5.8.1

APPROVED.
Comment 2 Iain Arnell 2009-05-08 17:36:56 EDT
New Package CVS Request
=======================
Package Name: perl-WWW-Mechanize-TreeBuilder
Short Description: WWW::Mechanize::TreeBuilder Perl module
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-05-09 17:11:04 EDT
cvs done.
Comment 4 Iain Arnell 2009-05-10 03:12:03 EDT
built in rawhide - waiting for perl-HTML-TreeBuilder-XPath on branches
Comment 5 Fedora Update System 2009-06-03 23:11:30 EDT
perl-WWW-Mechanize-TreeBuilder-1.10000-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-WWW-Mechanize-TreeBuilder-1.10000-1.fc11
Comment 6 Fedora Update System 2009-06-15 21:37:08 EDT
perl-WWW-Mechanize-TreeBuilder-1.10000-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-WWW-Mechanize-TreeBuilder'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6088
Comment 7 Parag AN(पराग) 2009-06-24 04:18:22 EDT
any plans to push this as stable updates? Or you can close this ticket as package is built for all requested branches.
Comment 8 Iain Arnell 2009-06-24 07:38:01 EDT
yep - thanks for the reminder - it's pushed now.
Comment 9 Fedora Update System 2009-06-26 22:59:03 EDT
perl-WWW-Mechanize-TreeBuilder-1.10000-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.